
-- [Ice Project 2012, turtlesort.com]

function love.load()
	-- aliases for convenience
	g = love.graphics
	
	-- supplementary library files
	game        = require 'lib.scenedirector'
	game.audio  = require 'lib.audio'
	game.font   = require 'lib.fontcache'
	game.utf8   = require 'lib.utf8'
	game.timer  = require 'lib.timer'
	game.entity = require 'lib.entity'
	game.snow   = require 'lib.snow'
	
	game.font.setDefaultFont('font/PressStart2P.ttf')
	
	-- Audio
	if love.filesystem.exists('sound') then
		game.audio.add('sound/turtlesort_ice_project_main_theme.ogg','stream','theme')
		game.audio.add('sound/turtlesort_ice_project_ice_caves.ogg','stream','caves'):setVolume(0.50)
		game.audio.add('sound/turtlesort_ice_project_hit.wav','static','hit'):setVolume(0.50)
		game.audio.add('sound/turtlesort_ice_project_flash.wav','static','flash'):setVolume(0.50)
	else
		game.audio.enabled = false
	end
	
	-- Choose the language of dialogue/narration here
	game.text   = require 'gametext-english'
	-- game.text   = require 'gametext-deutsch'
	-- game.text   = require 'gametext-italiano'
	
	-- Add all the scenes used in this game
	game.addScene(require 'scene-intro', 'intro')
	game.addScene(require 'scene-falling', 'falling')
	game.addScene(require 'scene-main', 'main')
	game.addScene(require 'scene-ending', 'ending')
	-- game.addScene(require 'scene-language', 'language')
	game.addScene(require 'scene-test', 'test')
	game.addScene(require 'scene-fader', 'fader')
	game.getScene('fader').setSceneDirector(game)
	
	-- Let game start at intro screen
	game.setCurrentScene('intro')
	-- game.setCurrentScene('ending')
end

-- Delegate these love functions
-- to the scene director

function love.update(dt)
	game.update(dt)
	game.timer.update(dt) -- For the timer lib to conveniently work in all scenes
end

function love.draw()
	game.draw()
end

function love.keypressed(key,unicode)
	game.keypressed(key,unicode)
end

function love.keyreleased(key)
	game.keyreleased(key)
end
